package com.xy.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "authorize")
public class AuthorizeConfig {

    /**
     * 是否开启本地鉴权 默认=true
     */
    private Boolean isNative;

    /**
     * 权限服务访问地址
     */
    private String url;

    /**
     * 不需要鉴权的接口
     */
    private List<String> exclude;
}
